Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002591 [JEDI VCL] 00 JVCL Components minor always 2005-02-02 08:18 2005-04-12 09:01
Reporter CCR View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002591: TJvRichEditStrings.DoImport bugfix
Description The final line of TJvRichEditStrings.DoImport, IMO, should have a smSelection check:
if not (smSelection in Mode) then FRichEdit.SetSelection(0, 0, True);
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006350)
obones (administrator)
2005-02-03 00:44

What would be the point of that change?
(0006413)
CCR (reporter)
2005-02-04 20:39

The point is this: when I programmatically stream in only a selection, I expect the rich edit to behave as it does when the user pastes something into it -- i.e., after having streamed/pasted the new text in, move the selection point to the end of the new text, rather than reset the selection point to the start of the file.
(0006975)
obones (administrator)
2005-04-12 09:01

Thanks, this is now in CVS, revision 1.71

- Issue History
Date Modified Username Field Change
2005-02-02 08:18 CCR New Issue
2005-02-03 00:44 obones Note Added: 0006350
2005-02-03 00:44 obones Status new => feedback
2005-02-04 20:39 CCR Note Added: 0006413
2005-04-12 09:01 obones Status feedback => resolved
2005-04-12 09:01 obones Resolution open => fixed
2005-04-12 09:01 obones Assigned To => obones
2005-04-12 09:01 obones Note Added: 0006975


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker